Subject: Re: [PATCH 3/3] grep: stop looking at random places for .gitattributes

From: Johannes Sixt <[email-masked]>
Date: Thu, 11 Oct 2012 07:55:00 +0200

Am 10/10/2012 21:44, schrieb Junio C Hamano:
> Johannes Sixt <[email-masked]> writes:
> 
>> Is there already an established definition which the "correct"
>> .gitattributes are?
> 
> No, and it is deliberately kept vague while waiting for us to come
> up with a clear definition of what is "correct".
...
> Very often, people
> retroactively define attributes to correct earlier mistakes.

Absolutely. I have Windows resource files that are Shift-JIS encoded
checked in long ago, and I want to retoactively declare them with
"encoding=Shift-JIS" because I prefer to see Japanese script in gitk
rather than gibberish.

-- Hannes